<?php


namespace App\Models\StockManagement\Traits;


use Illuminate\Database\Eloquent\Relations\HasMany;

trait CanManageStock{

    /**Un user a plusieur demandes de stocks
     * @return HasMany
     */
    public function demands(){
        return $this->hasMany(config("stocks-management.tables.stock-request"),"created_by");
    }
    public function importations(){
        return $this->hasMany(config("stocks-management.tables.stock-importation"),"created_by");
    }

    public function adjustments(){
        return $this->hasMany(config("stocks-management.tables.stock-adjustment"),"created_by");
    }


}
